%define major	10
%define akaimajor 0
%define tarballname libgig
%define libname %mklibname %{name} %{major}
%define libakai %mklibname %{name}-akai %{akaimajor}
%define devname %mklibname %{name} -d
%define devakai %mklibname %{name}-akai -d

Name:		gig
Version:	4.3.0
Release:	%mkrel 1
Summary:	C++ library for loading Gigasampler files and DLS Level 1/2 files
License:	GPLv2 and LGPL
# Note akai library is LGPL
Group:		Sound
Source0:	http://download.linuxsampler.org/packages/libgig-%{version}.tar.xz
Source1:	mk-svn-patch
URL:		http://www.linuxsampler.org/libgig/

BuildRequires:	pkgconfig(sndfile)
BuildRequires:	pkgconfig(uuid)
BuildRequires:	doxygen
Requires:	%{libname} = %{version}-%{release}

%description
C++ library for accessing Gigasampler/GigaStudio, DLS,
SoundFont and KORG sound files.

%package -n %{libname}
Summary:	C++ library for loading Gigasampler files and DLS Level 1/2 files
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}
Provides:	lib%{name} = %{version}-%{release}

%description -n %{libname}
C++ library for loading Gigasampler files and DLS Level 1/2 files.

%package -n %{devname}
Summary:	Header files for developers
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Requires:	%{_lib}uuid-devel
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{tarballname}-devel = %{version}-%{release}

%description -n %{devname}
Header files for developers.

%package -n %{libakai}
Summary:	C++ library for accessing AKAI disk images
Group:		System/Libraries
License:	LGPL

%description -n %{libakai}
Akai lib

%package -n %{devakai}
Summary:	Header files for developers
Group:		Development/Libraries
License:	LGPL
Requires:	%{libakai} = %{version}-%{release}
Provides:	%{name}-akai-devel = %{version}-%{release}

%description -n %{devakai}
Header files for developers.

%prep
%setup -qn lib%{name}-%{version}
%apply_patches

%build
%configure2_5x
%make_build
make docs

%install
%make_install
find %{buildroot} -name "*.la" -delete

mv %{buildroot}/%{_libdir}/libgig/* %{buildroot}/%{_libdir}/
rm -rf %{buildroot}/%{_libdir}/libgig

%files
%{_mandir}/man1/*
%{_bindir}/*

%files  -n %{libname}
%{_libdir}/libgig.so.%{major}*

%files  -n %{devname}
%{_includedir}/*
%{_libdir}/libgig.a
%{_libdir}/libgig.so
%{_libdir}/pkgconfig/gig.pc

%files -n %{libakai}
%{_libdir}/libakai.so.%{akaimajor}*

%files  -n %{devakai}
%{_libdir}/libakai.a
%{_libdir}/libakai.so
%{_libdir}/pkgconfig/akai.pc


%changelog
* Tue May 11 2021 tex - 4.3.0-1pclos2021
- new version 4.3.0
